# Variables which have Default value: comments above them WILL use those values if left blank

# Build time ENVs
# Default value: default
COMPOSE_PROJECT_NAME=default
# Default value: 222.222
NETWORK_SUBNET_FIRST_AND_SECOND_OCTETS=222.222
# Default value: 222
NETWORK_SUBNET_THIRD_OCTET=222
# Leave the password values empty to have them random generated
LINUX_ROOT_PASSWORD=supersecretlinuxpassword

# Run time ENVs
SYSADMIN_EMAIL=savemetenminutes@gmail.com
MYSQL_ROOT_PASSWORD=supersecretmysqlrootpassword
POSTGRES_PASSWORD=supersecretmysqlrootpassword
RABBITMQ_ERLANG_COOKIE=supersecretrabitmqerlangcookie
AWX_SECRET_KEY=supersecretawxsecretkey
AWX_POSTGRES_PASSWORD=supersecretmysqlrootpassword
AWX_RABBITMQ_PASSWORD=supersecretawxrabbitmqpassword
AWX_RABBITMQ_ERLANG_COOKIE=supersecretawxrabbitmqerlangcookie
AWX_ADMIN_USER=awxadmin
AWX_ADMIN_PASSWORD=supersecretawxadminpassword
# The MySQL docker-entrypoint.sh requires MYSQL_RANDOM_ROOT_PASSWORD be set to a non-empty value if MYSQL_ROOT_PASSWORD is empty
MYSQL_RANDOM_ROOT_PASSWORD=1
BORG_PASSPHRASE=321321321
MAILSERVER_POSTFIX_MYSQL_USERNAME=mailserver
MAILSERVER_POSTFIX_MYSQL_PASSWORD=supersecretpostfixmysqlpassword
MAILSERVER_POSTFIX_MYSQL_DATABASE=mail_postfix
MAILSERVER_DOVECOT_MYSQL_USERNAME=mailserver
MAILSERVER_DOVECOT_MYSQL_PASSWORD=supersecretdovecotmysqlpassword
MAILSERVER_DOVECOT_MYSQL_DATABASE=mail_dovecot
EMAILACCOUNTS_PASSWORD=123123

REDMINE_DB_DATABASE=redmine
REDMINE_DB_USERNAME=redmine
REDMINE_DB_PASSWORD=123123123

# Build & Run-time ENVs
MAILSERVER_DEFAULT_DOMAIN=defaultemaildomain.com
